[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| CoscotFunction< T > Class Template Reference Mathematical Functions |

`#include <vigra/resizeimage.hxx>`

## Public Types

typedef T | argument_type
typedef T | result_type
typedef T | value_type

## Public Member Functions

unsigned int | derivativeOrder () const
result_type | operator() (argument_type x) const
value_type | operator[] (value_type x) const
const ArrayVector< double > & | prefilterCoefficients () const
double | radius () const

## Detailed Description

### template<class T>
class vigra::CoscotFunction< T >

The Coscot interpolation function.

Implements the Coscot interpolation function proposed by Maria Magnusson Seger (maria.nosp@m.@isy.nosp@m..liu..nosp@m.se) in the context of tomographic reconstruction. It provides a fast transition between the pass- and stop-bands and minimal ripple outside the transition region. Both properties are important for this application and can be tuned by the parameters m and h (with defaults 3 and 0.5). The function is defined by

It can be used as a functor, and as a kernel for resamplingConvolveImage() to create a differentiable interpolant of an image.

#include <vigra/resizeimage.hxx>
Namespace: vigra

## Member Typedef Documentation

## ◆ value_type

typedef T value_type

the kernel's value type

## ◆ argument_type

typedef T argument_type

the unary functor's argument type

## ◆ result_type

typedef T result_type

the splines polynomial order

## Member Function Documentation

## ◆ operator()()

result_type operator() | ( | argument_type | x | ) | const

function (functor) call

## ◆ operator[]()

value_type operator[] | ( | value_type | x | ) | const

index operator – same as operator()

## ◆ radius()

double radius | ( |  | ) | const

Radius of the function's support. Needed for resamplingConvolveImage(), equals m.

## ◆ derivativeOrder()

unsigned int derivativeOrder | ( |  | ) | const

Derivative order of the function: always 0.

## ◆ prefilterCoefficients()

const ArrayVector<double>& prefilterCoefficients | ( |  | ) | const

Prefilter coefficients for compatibility with vigra::BSpline. (array has zero length, since prefiltering is not necessary).

The documentation for this class was generated from the following file:

- vigra/resizeimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1